summaryrefslogtreecommitdiff
path: root/x11-libs
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-08 07:15:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-08 07:15:12 +0000
commit06ab3aac23e653bc2f23cd02be0974a9d1833ade (patch)
tree824f737dc40f81fa83e933e7acda35c6fc8150ad /x11-libs
parentd52e4ca881bbe884ad6b0b164ca7c4f283da0718 (diff)
downloadbaldeagleos-repo-06ab3aac23e653bc2f23cd02be0974a9d1833ade.tar.gz
baldeagleos-repo-06ab3aac23e653bc2f23cd02be0974a9d1833ade.tar.xz
baldeagleos-repo-06ab3aac23e653bc2f23cd02be0974a9d1833ade.zip
Adding metadata
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/libX11/Manifest1
-rw-r--r--x11-libs/libX11/libX11-1.8.13.ebuild47
-rw-r--r--x11-libs/libfontenc/Manifest1
-rw-r--r--x11-libs/libfontenc/libfontenc-1.1.9.ebuild21
4 files changed, 70 insertions, 0 deletions
diff --git a/x11-libs/libX11/Manifest b/x11-libs/libX11/Manifest
index c0fd71c52a43..8313cf926f61 100644
--- a/x11-libs/libX11/Manifest
+++ b/x11-libs/libX11/Manifest
@@ -1 +1,2 @@
DIST libX11-1.8.12.tar.xz 1895256 BLAKE2B f4bdb69abb2add723ca84832ef35f239659228c1f5a3f53631f0d4d4afa7030512b9ba65479464f3efecca0e09d1f758e3b92b139dd5e716fac1b8caaf5bb98d SHA512 cb7a284d9081a8b67f7d8568d56dc403a4b787e46ac497b07768d236084c01f80f4ea2ebd814f950ac9738adc3baea3912932fc333858195c4f8217744b6f730
+DIST libX11-1.8.13.tar.xz 1803464 BLAKE2B 1ccb826184ed67d13e254d5cf20a40d2994837ffab6c05c647865927589e4aaa8933b57cc88226a6fb6ac836be88a57087e8f4d447b37b5327993c9f8834e8ea SHA512 4c4a098eaff09a51309f3f322bc435ccd022c8f753974eb2650b60e42b737077ca0fde0df82b53f4ba8ed2388bbc8cb59ba66cc9946ae2b5907d7d1a9580e03d
diff --git a/x11-libs/libX11/libX11-1.8.13.ebuild b/x11-libs/libX11/libX11-1.8.13.ebuild
new file mode 100644
index 000000000000..cc9561ad3220
--- /dev/null
+++ b/x11-libs/libX11/libX11-1.8.13.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+XORG_DOC=doc
+XORG_MULTILIB=yes
+inherit toolchain-funcs xorg-3
+
+# Note: please bump this with x11-misc/compose-tables
+DESCRIPTION="X.Org X11 library"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# HACK: libX11 produces .pc files that depend on xproto.pc. When libX11
+# is installed as a binpkg, DEPEND packages are not pulled in,
+# but to build source packages against libX11, xorg-proto is
+# needed. Until a "build-against-depend" option is available in
+# ebuilds, we RDEPEND on xproto. See bug #903707 and others.
+RDEPEND="
+ >=x11-libs/libxcb-1.11.1[${MULTILIB_USEDEP}]
+ x11-misc/compose-tables
+ x11-base/xorg-proto
+"
+DEPEND="${RDEPEND}
+ x11-libs/xtrans
+"
+BDEPEND="test? ( dev-lang/perl )"
+
+src_configure() {
+ local XORG_CONFIGURE_OPTIONS=(
+ $(use_with doc xmlto)
+ $(use_enable doc specs)
+ --enable-ipv6
+ --without-fop
+ --with-keysymdefdir="${ESYSROOT}/usr/include/X11"
+ CPP="$(tc-getPROG CPP cpp)"
+ )
+ xorg-3_src_configure
+}
+
+src_install() {
+ xorg-3_src_install
+ rm -rf "${ED}"/usr/share/X11/locale || die
+}
diff --git a/x11-libs/libfontenc/Manifest b/x11-libs/libfontenc/Manifest
index 447d602e505b..7acd571f5f46 100644
--- a/x11-libs/libfontenc/Manifest
+++ b/x11-libs/libfontenc/Manifest
@@ -1 +1,2 @@
DIST libfontenc-1.1.8.tar.xz 274176 BLAKE2B b8bae8a25df2480281b00608998db59fb736b74cd5965958642036b16c5c4348c8bc6ccd65a8b784ef17650ddbb7635a728eb9dadd3b9c5cdad712ebfeb5df30 SHA512 c9ddea9c0c6c6f4933b5b8ed2044e3dc259a9edbb3070a32f0335a6ad4d47b1858cefc01fa2dff9f29808bee311e9c677b05861200d2f2c4552c92b33fe027e2
+DIST libfontenc-1.1.9.tar.xz 280828 BLAKE2B f8a7ae8e3fa954d3cdddbbdba197e9bef3887faafcffa49d137924f88b494914326238ffda425176187dc75c9ccb152ff6bc4d4074e31b1995f455707a9c2ea8 SHA512 19050c4c9ea1143b555b92faec641fd6b4976de463ad1fb67d20a7bf2f610bbc3debd3c65925cd8329691a9fb0435d004a05b6486e1dc600719e8c479812b912
diff --git a/x11-libs/libfontenc/libfontenc-1.1.9.ebuild b/x11-libs/libfontenc/libfontenc-1.1.9.ebuild
new file mode 100644
index 000000000000..d01a541a4491
--- /dev/null
+++ b/x11-libs/libfontenc/libfontenc-1.1.9.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xorg-meson
+
+DESCRIPTION="X.Org fontenc library"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+
+RDEPEND="virtual/zlib:="
+DEPEND="${RDEPEND}
+ x11-base/xorg-proto"
+
+src_configure() {
+ local XORG_CONFIGURE_OPTIONS=(
+ -Dwith-encodingsdir="${EPREFIX}/usr/share/fonts/encodings"
+ )
+ xorg-meson_src_configure
+}